<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
<head>
    <title>{$titre_page} -> Utilisateurs</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<script language="javascript" type="text/javascript" src="../javascript/verif_search.js"></script>
	<script language="javascript" type="text/javascript" src="../javascript/sous_menus.js"></script>
	<script type="text/javascript">
		function writediv(zone, texte)
		{

			document.getElementById(zone).innerHTML = texte;
		}

		function verif_pseudo(pseudo)
		{
			if(pseudo != '')
			{
				if(pseudo.length<3)
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est trop court (3 caractres minimum)');
					return false;
				}
				else if(pseudo.length>20)
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est trop long');
					return false;
				}
				else
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est correct');
					return true;
				}
			}
		}
		
		function verif_pass(pass)
		{
			if(pass != '')
			{
				if(pass.length<3)
				{
					writediv('message_pass', '<b>'+pass+' :</b> Ce mot de passe est trop court (4 caractres minimum)');
					return false;
				}
				else if(pass.length>3)
				{
					writediv('message_pass', '<b>'+pass+' :</b> Ce mot de passe est correct');
					return true;
				}
			}
		}
		function verif_form()
		{
			if (document.formulaire.pseudo.value == "") return false;
			if (document.formulaire.email.value == "") return false;
			if (document.formulaire.nom.value == "") return false;
			if (document.formulaire.prenom.value == "") return false;
			if (document.formulaire.mail_visible.value == "") return false;
			if (document.formulaire.user_id.value == "") return false;
		}
	</script>
	<link rel="stylesheet" type="text/css" href="../styles/acp-style.css" title="Eos Design" media="screen" />
</head>
<body>

	<div id="global">
	
		<!-- Dbut du header, ici sera affich le header et les diffrents liens qu'il contient -->
		
		<div id="header">
			<h1>{$titre_page}</h1> <!-- Pour l'accessibilit :) -->
			<p>Utilisateurs</p>
		</div>
		
		<!-- Dbut du menu, ici seront affichs les liens de votre page web -->
		
		<div id="menu">
			{include file="eos_menu_admin.tpl"}
		</div>
		
		<!-- Dbut du contenu, c'est ici que le contenu de votre site est affich -->
		
		<div id="contenu">
			
			<p class="message">{$message}</p>
			{if({$can_admin_users} == 1)}
				<p>
					Ce formulaire vous permet de crer un nouvel utilisateur.<br />
					Vous pouvez bien sr choisir dans quel groupe celui-ci sera cr.
				</p>

				<p>
					<p class="message">Informations sur le nouvel utilisateur : </p>
					<form method="post" name="formulaire" action="index.php?section=gerer-membres" onsubmit="return verif_form();">
						<p>
							<label>Pseudo : <br />
								<input type="text" name="pseudo" id="pseudo" value="{$pseudo}" onKeyUp="verif_pseudo(this.value)"  onsubmit="return VerifForm(this);" size="25" />
							</label>
							<div id="message_pseudo"></div>
						</p>
						<p>
							Mot de passe {$leave_blank} :<br />
							<label for="mot_passe"><input type="text" name="mot_passe" id="mot_passe" onKeyUp="verif_pass(this.value)" size="25" />
							</label>
							<div id="message_pass"></div>
						</p>
						<p>
							<label>Courriel : <br />
								<input type="text" name="email" id="email" value="{$mail}" size="25" />
							</label>
						</p>
						<p>
							<label>Nom : <br />
								<input type="text" name="nom" id="nom" size="25" value="{$nom}"/>
							</label>
						</p>
						<p>
							<label>Prnom : <br />
								<input type="text" name="prenom" id="prenom" size="25" value="{$prenom}"/>
							</label>
						</p>
						<p>
							Voulez-vous que l'adresse e-mail soit visible par tous ?
							<input type="radio" name="mail_visible" value="1" {$oui_checked} /> Oui
							<input type="radio" name="mail_visible" value="0" {$non_checked} /> Non
						</p>
						
						<input type="hidden" name="user_id" value="{$user_id}"/>
						
						<input type="submit" name="inscription" value="Valider" />
					</form>
				</p>
			{/if}
		</div>
		
		<!-- Dbut du footer -->
		
		<p id="footer"><br />Interface graphique par Thoy<br /> Propuls par Eos Gallery</p>

	</div>
<!-- Copyright  laisser : Interface graphique par Thoy et dcoupe par Ccile -->
<!-- Pour : http://kits-gratuits.net/ -->
</body>
</html>