<?php
function inovacode2html($contenu)
{
	$contenu = preg_replace('!\[b\](.+)\[/b\]!isU', '<strong>$1</strong>', $contenu);
	$contenu = preg_replace('!:D!isU', '<img src="smileys/heureux.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:smile:!isU', '<img src="smileys/smile.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!;\)!isU', '<img src="smileys/clin.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:hihi:!isU', '<img src="smileys/hihi.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!O_o!isU', '<img src="smileys/huh.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:p!isU', '<img src="smileys/langue.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:ange:!isU', '<img src="smileys/ange.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:arf:!isU', '<img src="smileys/triste.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:waw:!isU', '<img src="smileys/waw.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:lunettes:!isU', '<img src="smileys/soleil.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:siffle:!isU', '<img src="smileys/siffle.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!>_<!isU', '<img src="smileys/pinch.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:XD:!isU', '<img src="smileys/rire.gif" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:emu:!isU', '<img src="smileys/rouge.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:mechant:!isU', '<img src="smileys/mechant.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:s!isU', '<img src="smileys/pleure.png" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!:\?\?:!isU', '<img src="smileys/unsure.gif" alt="" border="0"/>', $contenu);
	$contenu = preg_replace('!&amp;!isU', '&', $contenu);
	$contenu = preg_replace('!&eacute;!isU', '', $contenu);
	$contenu = preg_replace('!&egrave;!isU', '', $contenu);
	$contenu = preg_replace('!&agrave;!isU', '', $contenu);
	$contenu = preg_replace('!&ugrave;!isU', '', $contenu);
	$contenu = preg_replace('!&ccedil;!isU', '', $contenu);
	$contenu = preg_replace('!&micro;!isU', '', $contenu);
	$contenu = preg_replace('!\[i\](.+)\[/i\]!isU', '<em>$1</em>', $contenu);
	$contenu = preg_replace('!\[url=(.+)\](.+)\[/url\]!isU','<a href="$1">$2</a>',$contenu);
	$contenu = preg_replace('!\[img\](.+)\[/img\]!isU', '<img src="$1" border="0" alt="Inova Image" />', $contenu);
	$contenu = preg_replace('!\[centre\](.+)\[/centre\]!isU', '<p align="center">$1</p>', $contenu);
	$contenu = preg_replace('!\[gauche\](.+)\[/gauche\]!isU', '<p align="left">$1</p>', $contenu);
	$contenu = preg_replace('!\[droite\](.+)\[/droite\]!isU', '<p align="right">$1</p>', $contenu);
	return $contenu;
}

function html2inovacode($contenu)
{
	$contenu = preg_replace('!<strong>(.+)</strong>!isU', '\[b\]$1\[/b\]', $contenu);
	$contenu = preg_replace('!<p align="left">(.+)</p>!isU', '\[gauche\]$1\[/gauche\]', $contenu);
	$contenu = preg_replace('!<p align="right">(.+)</p>!isU', '\[droite\]$1\[/droite\]', $contenu);
	$contenu = preg_replace('!<p align="center">(.+)</p>!isU', '\[centre\]$1\[/centre\]', $contenu);
	$contenu = preg_replace('!<img src="http://(.+)" border="0" alt="Inova Image" />!isU', '\[img\]http://$1\[/img\]', $contenu);
	$contenu = preg_replace('!&amp;!isU', '&', $contenu);
	$contenu = preg_replace('!&eacute;!isU', '', $contenu);
	$contenu = preg_replace('!&egrave;!isU', '', $contenu);
	$contenu = preg_replace('!&agrave;!isU', '', $contenu);
	$contenu = preg_replace('!&ugrave;!isU', '', $contenu);
	$contenu = preg_replace('!&ccedil;!isU', '', $contenu);
	$contenu = preg_replace('!&micro;!isU', '', $contenu);
	$contenu = preg_replace('!<em>(.+)</em>!isU', '\[i\]$1\[/i\]', $contenu);
	$contenu = preg_replace('!<a href="(.+)">(.+)</a>!isU', '\[url\]$1\[/url\]', $contenu);
	$contenu = preg_replace('!<img src="smileys/heureux.png" alt="" border="0"/>!isU', ' :D ', $contenu);
	$contenu = preg_replace('!<img src="smileys/smile.png" alt="" border="0"/>!isU', ' :smile: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/clin.png" alt="" border="0"/>!isU', ' ;\) ', $contenu);
	$contenu = preg_replace('!<img src="smileys/hihi.png" alt="" border="0"/>!isU', ' :hihi: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/huh.png" alt="" border="0"/>!isU', ' O_o ', $contenu);
	$contenu = preg_replace('!<img src="smileys/langue.png" alt="" border="0"/>!isU', ' :p ', $contenu);
	$contenu = preg_replace('!<img src="smileys/ange.png" alt="" border="0"/>!isU', ' :ange: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/triste.png" alt="" border="0"/>!isU', ' :arf: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/waw.png" alt="" border="0"/>!isU', ' :waw: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/soleil.png" alt="" border="0"/>!isU', ' :lunettes: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/siffle.png" alt="" border="0"/>!isU', ' :siffle: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/pinch.png" alt="" border="0"/>!isU', ' >_< ', $contenu);
	$contenu = preg_replace('!<img src="smileys/rire.gif" alt="" border="0"/>!isU', ' :XD: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/rouge.png" alt="" border="0"/>!isU', ' :emu: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/mechant.png" alt="" border="0"/>!isU', ' :mechant: ', $contenu);
	$contenu = preg_replace('!<img src="smileys/pleure.png" alt="" border="0"/>!isU', ' :s ', $contenu);
	$contenu = preg_replace('!<img src="smileys/unsure.gif" alt="" border="0"/>!isU', ' :\?\?: ', $contenu);
	return $contenu;
}
?>